Bug 1119145 - hosted-engine --deploy does not check for NX flag
Summary: hosted-engine --deploy does not check for NX flag
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.4.2
Assignee: Simone Tiraboschi
QA Contact: Nikolai Sednev
URL:
Whiteboard: integration
Depends On: 1103672
Blocks: 1123858
TreeView+ depends on / blocked
 
Reported: 2014-07-14 06:54 UTC by rhev-integ
Modified: 2019-04-28 10:08 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, if the NX flag was not checked in the BIOS of certain Intel CPU types, which require NX as well as VMX to support virtualization, the deployment script for the hosted engine would not accurately detect the CPU type and the deployment would stall. Now, the user is prompted to check the NX flag in the system BIOS if the CPU type is not accurately detected, and the deployment exits gracefully.
Clone Of: 1103672
Environment:
Last Closed: 2014-09-04 12:47:27 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1156 normal SHIPPED_LIVE ovirt-hosted-engine-setup bug fix update 2014-09-04 16:47:01 UTC
oVirt gerrit 29739 master MERGED packaging: setup: adding an error message if no compatible CPUs are detected Never
oVirt gerrit 29934 ovirt-hosted-engine-setup-1.2 MERGED packaging: setup: adding an error message if no compatible CPUs are detected Never
oVirt gerrit 30008 ovirt-hosted-engine-setup-1.1 MERGED packaging: setup: adding an error message if no compatible CPUs are detected Never

Comment 2 Nikolai Sednev 2014-08-21 08:16:58 UTC
Works for me.

[root@alma03 ~]# hosted-engine --deploy
[ INFO  ] Stage: Initializing
          Continuing will configure this host for serving as hypervisor and create a VM where you have to install oVirt Engine afterwards.
          Are you sure you want to continue? (Yes, No)[Yes]:
          It has been detected that this program is executed through an SSH connection without using screen.
          Continuing with the installation may lead to broken installation if the network connection fails.
          It is highly recommended to abort the installation and run it inside a screen session using command "screen".
          Do you want to continue anyway? (Yes, No)[No]: yes
[ INFO  ] Generating a temporary VNC password.
[ INFO  ] Stage: Environment setup
          Configuration files: []
          Log file: /var/log/ovirt-hosted-engine-setup/ovirt-hosted-engine-setup-20140821111408-fgx6xv.log
          Version: otopi-1.2.2 (otopi-1.2.2-1.el6ev)
[ ERROR ] Failed to execute stage 'Environment setup': Hardware does not support virtualization
[ INFO  ] Stage: Clean up
[ INFO  ] Generating answer file '/etc/ovirt-hosted-engine/answers.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination


ovirt-host-deploy-1.2.2-1.el6ev.noarch
ovirt-hosted-engine-setup-1.1.5-1.el6ev.noarch
ovirt-hosted-engine-ha-1.1.5-1.el6ev.noarch
sanlock-2.8-1.el6.x86_64
libvirt-0.10.2-29.el6_5.11.x86_64
vdsm-4.14.13-1.el6ev.x86_64
qemu-kvm-rhev-0.12.1.2-2.415.el6_5.14.x86_64

Comment 5 errata-xmlrpc 2014-09-04 12:47:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1156.html


Note You need to log in before you can comment on or make changes to this bug.